Bug 551214 (CVE-2009-4538)

Summary: CVE-2009-4538 kernel: e1000e frame fragment issue
Product: [Other] Security Response Reporter: Eugene Teo (Security Response) <eteo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: urgent    
Version: unspecifiedCC: amwang, anton, arozansk, bhu, cebbert, davej, davem, dhoward, gbarros, hjia, iannis, jesse.brandeburg, jolsa, jpirko, jskrabal, kmcmartin, kzhang, lgoncalv, lwang, nhorman, pmatouse, syeghiay, tao, vgoyal, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-28 21:44:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 547593, 551216, 551217, 551218, 551219, 551220, 551221, 551222, 551223, 553540, 557382, 586018    
Bug Blocks:    

Description Eugene Teo (Security Response) 2009-12-29 14:13:48 UTC
Description of problem:
Similar to the second issue that Fab mentioned in his presentation at 26c3, this affects the e1000e driver. See https://bugzilla.redhat.com/show_bug.cgi?id=550907#c0 issue #2 for the description, and this https://bugzilla.redhat.com/show_bug.cgi?id=550907#c4. This bug is filed to make sure we fix this too.

http://www.securityfocus.com/bid/37523

Comment 2 Neil Horman 2009-12-30 17:47:57 UTC
A quick heads up to all the release owners on this bug, the patch I posted upstream for bz 550915 (specifically the e1000 bits) will apply pretty cleanly to e1000e here.

Comment 4 errata-xmlrpc 2010-01-07 23:35:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0019 https://rhn.redhat.com/errata/RHSA-2010-0019.html

Comment 5 errata-xmlrpc 2010-01-08 00:43:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0020 https://rhn.redhat.com/errata/RHSA-2010-0020.html

Comment 7 errata-xmlrpc 2010-01-20 00:07:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3.Z - Server Only

Via RHSA-2010:0053 https://rhn.redhat.com/errata/RHSA-2010-0053.html

Comment 9 errata-xmlrpc 2010-01-21 14:10:30 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0041 https://rhn.redhat.com/errata/RHSA-2010-0041.html

Comment 10 Eugene Teo (Security Response) 2010-01-25 05:59:09 UTC
Upstream patch:
http://marc.info/?l=linux-netdev&m=126394658818753&w=2

Comment 11 Aristeu Rozanski 2010-01-26 16:43:29 UTC
This patch is on the current RHEL6 git tree.

Comment 12 Chuck Ebbert 2010-01-30 13:11:18 UTC
This is now queued for 2.6.32.8 as:

  e1000e-enhance-frame-fragment-detection.patch
  upstream commit b94b50289622e816adc9f94111cfc2679c80177c

There is also a second patch for this issue:

  e1000-e1000e-don-t-use-small-hardware-rx-buffers.patch
  upstream commit 9926146b15fd96d78a4f7c32e7a26d50639369f4

Comment 14 errata-xmlrpc 2010-02-02 21:01:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.2 Z Stream

Via RHSA-2010:0079 https://rhn.redhat.com/errata/RHSA-2010-0079.html

Comment 15 Fedora Update System 2010-02-03 17:13:28 UTC
kernel-2.6.30.10-105.2.13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.10-105.2.13.fc11

Comment 16 Fedora Update System 2010-02-05 01:48:22 UTC
kernel-2.6.30.10-105.2.13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Zhang Kexin 2010-02-09 04:39:59 UTC
change the status to to NEW.

Comment 20 errata-xmlrpc 2010-02-09 15:23:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0095 https://rhn.redhat.com/errata/RHSA-2010-0095.html

Comment 21 Fedora Update System 2010-02-09 22:15:16 UTC
kernel-2.6.31.12-174.2.17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.31.12-174.2.17.fc12

Comment 22 Fedora Update System 2010-02-16 13:18:43 UTC
kernel-2.6.31.12-174.2.19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 errata-xmlrpc 2010-02-16 17:05:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4.7 Z Stream

Via RHSA-2010:0111 https://rhn.redhat.com/errata/RHSA-2010-0111.html

Comment 27 Jesse Brandeburg 2011-11-28 19:26:21 UTC
seems that this shouldn't be new, since it has been fixed, and can be closed, since it no longer depends on any open bugs.

Comment 28 Petr Matousek 2011-11-28 21:44:29 UTC
(In reply to comment #27)
> seems that this shouldn't be new, since it has been fixed, and can be closed,
> since it no longer depends on any open bugs.

Right, thanks for the notice. Closing.